#pragma once

#ifndef LD37_H
#define LD37_H
#include <iostream>
#include <allegro5\allegro.h>
#include <allegro5\allegro_acodec.h>
#include <allegro5\allegro_audio.h>
#include <allegro5\allegro_font.h>
#include <allegro5\allegro_image.h>
#include <allegro5\allegro_primitives.h>
#include "Entity.h"
#include "Player.h"
#include "Barrel.h"
#include "Enemy.h"
#include "HPack.h"
#include "DGet.h"
#include "Crystal.h"
#include "Shrek.h"

using namespace std;

class LD37
{
public:
	LD37();
	~LD37();
	void Init();
	void DeInit();
	void Update();
	void RemoveEnt(Entity* ent, bool delmem = true);
	void AddEnt(Entity* ent);
	bool keyp = false;
	int key = 0;
	int t = 0;
	ALLEGRO_BITMAP* renderTarget;
	ALLEGRO_BITMAP* b_actors;
	ALLEGRO_BITMAP* b_tiles;
	Entity** ents;
	Player* ply;
	int board[20][15];
	bool keys[420];
	int nTurns;
	int screenFlash = 0;
	bool clearBoard = false;
	void SortEntities();
	int ctime = 0;
	int etime = 0;
	int equantity = 0;
	int cspeed;
	int dtime = 0;
	int htime = 0;
	int hspeed;
	int dspeed;

	ALLEGRO_SAMPLE* s_col; bool p_col;
	ALLEGRO_SAMPLE* s_crystal;
	ALLEGRO_SAMPLE* s_death; bool p_death;
	ALLEGRO_SAMPLE* s_expl; 
	ALLEGRO_SAMPLE* s_hurt; bool p_hurt;
	ALLEGRO_SAMPLE* s_pickup;
	ALLEGRO_SAMPLE* s_throw; bool p_throw;
	ALLEGRO_SAMPLE* s_item; bool p_item;
protected:
	
	void SpawnEnemy();
};
#endif

