#pragma once

#ifndef PLAYER_H
#define PLAYER_H

#include <iostream>
#include <allegro5\allegro.h>
#include <allegro5\allegro_acodec.h>
#include <allegro5\allegro_audio.h>
#include <allegro5\allegro_image.h>
#include "Entity.h"
#include "Dynamite.h"
#include "Barrel.h"
#include "Crystal.h"
class Player : public Entity
{
public:
	Player(ALLEGRO_BITMAP* g);
	~Player();
	void Update();
	void Render();
	void Bump(Entity* perp);
	void Damage(int amt);
	int health = 25;
	int maxhealth = 25;
	bool hrt;
	int dynamites;
	int crystals;
protected:
	Entity* pickup;
	bool lifting = false;
	int dx = 0;
	int dy = 0;
	int flash = 0;
};

#endif

